Bug 1057490 (CVE-2013-6489)

Summary: CVE-2013-6489 pidgin: Heap-based buffer overflow in MXit emoticon parsing
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cschalle, debarshir, jkurik, jrusnack, mbarnes, pfrields, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140128,reported=20140122,source=upstream,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/pidgin=affected,rhel-6/pidgin=affected,rhel-7/pidgin=notaffected,fedora-all/pidgin=affected,cwe=CWE-190->CWE-122
Fixed In Version: pidgin 2.10.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-19 16:05:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1058238, 1058239, 1058240, 1058242, 1058243, 1059049    
Bug Blocks: 1054257    
Attachments:
Description Flags
Local copy of patch none

Description Huzaifa S. Sidhpurwala 2014-01-24 03:59:15 EST
A Heap-based buffer overflow was found in the way MXit protocol plugin of pidgin parsed emoticons. A malicious server could provide a specially crafted emoticon value, which could cause an integer overflow leading to a buffer overflow. This could cause pidgin to crash or possibly execute arbitrary code with the permissions of the user running pidgin. 


Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Yves Younan and Pawel Janic of Sourcefire VRT as the original reporters of this issue.
Comment 1 Huzaifa S. Sidhpurwala 2014-01-27 01:28:08 EST
Created attachment 855933 [details]
Local copy of patch
Comment 3 Vincent Danen 2014-01-28 15:42:13 EST
External References:

http://pidgin.im/news/security/?id=83
Comment 4 Huzaifa S. Sidhpurwala 2014-01-28 23:26:40 EST
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]
Comment 5 errata-xmlrpc 2014-02-05 12:45:00 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html
Comment 6 Fedora Update System 2014-02-05 22:50:14 EST
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-02-14 02:59:49 EST
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.